org.eclipse.wst.jsdt.chromium.debug.js.runtime

## Class ChromiumRuntimeInstall

- java.lang.Object
- - org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeInstall
  - - org.eclipse.wst.jsdt.chromium.debug.js.runtime.ChromiumRuntimeInstall

All Implemented Interfaces:
  org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstall

    public class ChromiumRuntimeInstall
    extends org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeInstall

### Field Summary

### Fields inherited from class org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeInstall

`fId, fInstallLocation, fName, fRuntimeArgs`

### Constructor Summary

Constructors
Constructor and Description
`ChromiumRuntimeInstall(org.eclipse.wst.jsdt.core.runtime.IJSRuntimeType runtimeType, java.lang.String id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.wst.jsdt.core.runtime.IJSRunner` `getJSRunner(java.lang.String mode)` Returns a JavaScript runner that runs this installed runtime in the given mode.

### Methods inherited from class org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeInstall

`equals, getId, getInstallLocation, getJSRuntimeArguments, getJSRuntimeArgumentsAsString, getName, getRuntimeType, hashCode, setInstallLocation, setJSRuntimeArguments, setName`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChromiumRuntimeInstall

    public ChromiumRuntimeInstall(org.eclipse.wst.jsdt.core.runtime.IJSRuntimeType runtimeType,
                                  java.lang.String id)

### Method Detail

#### getJSRunner

    public org.eclipse.wst.jsdt.core.runtime.IJSRunner getJSRunner(java.lang.String mode)

Description copied from interface: `org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstall`
Returns a JavaScript runner that runs this installed runtime in the given mode.

Specified by:
  `getJSRunner` in interface `org.eclipse.wst.jsdt.core.runtime.IJSRuntimeInstall`
Overrides:
  `getJSRunner` in class `org.eclipse.wst.jsdt.core.runtime.AbstractJSRuntimeInstall`
Parameters:
  `mode` - the mode the JSRuntime should be launched in; one of the constants declared in `org.eclipse.debug.core.ILaunchManager`
Returns:
  a IJSRunner for a given mode May return `null` if the given mode is not supported.
See Also:
  `org.eclipse.debug.core.ILaunchManager`